Benutzer-Werkzeuge

Webseiten-Werkzeuge


kas

Unterschiede

Hier werden die Unterschiede zwischen zwei Versionen angezeigt.

Link zu dieser Vergleichsansicht

Beide Seiten der vorigen Revision Vorhergehende Überarbeitung
Nächste Überarbeitung
Vorhergehende Überarbeitung
kas [2020/04/26 22:12]
olli
kas [2020/07/05 07:08] (aktuell)
olli [PHP]
Zeile 14: Zeile 14:
 Die verwendete URL lautet: [[https://​carddav.all-inkl.com]]. Die verwendete URL lautet: [[https://​carddav.all-inkl.com]].
 Der Benutzername fest vorgegeben, das Passwort kann unter "​Adressbuch bearbeiten"​ geändert werden. Der Benutzername fest vorgegeben, das Passwort kann unter "​Adressbuch bearbeiten"​ geändert werden.
 +
 ===== Cronjobs ===== ===== Cronjobs =====
 Cronjobs werden von der IP aus ausgeführt,​ auf dem der Account liegt. Cronjobs werden von der IP aus ausgeführt,​ auf dem der Account liegt.
Zeile 31: Zeile 32:
 Seit etwa April 2020 landet man nach dem Login direkt bei der Seite "Logs & Statistik"​ mit der Warnung diese Einstellung zu ändern, falls man diese Einstellung immer noch nutzt. Seit etwa April 2020 landet man nach dem Login direkt bei der Seite "Logs & Statistik"​ mit der Warnung diese Einstellung zu ändern, falls man diese Einstellung immer noch nutzt.
 Die alten Webalizer-Logs gehen verloren, die Access-Log bleiben erhalten, wenn man von "pro Subdomain"​ auf "alles im /logs bzw. /​usage"​ umstellt. Die alten Webalizer-Logs gehen verloren, die Access-Log bleiben erhalten, wenn man von "pro Subdomain"​ auf "alles im /logs bzw. /​usage"​ umstellt.
 +
 ===== Mail ===== ===== Mail =====
 Die IMAP-Server unterstützen [[https://​all-inkl.com/​wichtig/​glossar/#​xlist|XLIST]]. Die IMAP-Server unterstützen [[https://​all-inkl.com/​wichtig/​glossar/#​xlist|XLIST]].
Zeile 70: Zeile 72:
 |5.6|keine Unterstützung mehr ab Januar 2020 (Ankündigung im Oktober 2018)| |5.6|keine Unterstützung mehr ab Januar 2020 (Ankündigung im Oktober 2018)|
  
 +==== OpCache ====
 +In den Tarifen Premium und Business (und auf den Managed Servern) ist die [[https://​all-inkl.com/​wichtig/​glossar/#​opcache|Nutzung von OpCache]] möglich.
 +
 +==== Wechsel der Version ====
 Der Wechsel der Apache-Modul-Version ist durch den Wechsel auf einen anderen Server durch den Support möglich. ​ Der Wechsel der Apache-Modul-Version ist durch den Wechsel auf einen anderen Server durch den Support möglich. ​
 Zwischen den verschiedenen angebotenen CGI-Versionen kann man selbst wechseln. Zwischen den verschiedenen angebotenen CGI-Versionen kann man selbst wechseln.
Zeile 76: Zeile 82:
 PHP 7.2 (und aufwärts) wird nur noch als CGI-Modul und nicht mehr als Apache-Modul angeboten. Die neuste als Apachemodul verfügbare Version ist 7.1. Das Apache-Modul wird im KAS als "​veraltet"​ gekennzeichnet und soll in Zukunft komplett entfallen. Die Beschränkungen hinsichtlich ''​max_execution_time''​ und ''​memory_limit''​ sind für Apache- und CGI-Module gleich (Stand November 2018). ​ PHP 7.2 (und aufwärts) wird nur noch als CGI-Modul und nicht mehr als Apache-Modul angeboten. Die neuste als Apachemodul verfügbare Version ist 7.1. Das Apache-Modul wird im KAS als "​veraltet"​ gekennzeichnet und soll in Zukunft komplett entfallen. Die Beschränkungen hinsichtlich ''​max_execution_time''​ und ''​memory_limit''​ sind für Apache- und CGI-Module gleich (Stand November 2018). ​
 </​WRAP>​ </​WRAP>​
-==== Per Domain/​Subdomain ​====+ 
 +=== Per Domain/​Subdomain ===
 im KAS kann die gewünschte PHP-Version ausgewählt werden im KAS kann die gewünschte PHP-Version ausgewählt werden
-==== Per Eintrag in ''​.htaccess'' ​====+=== Per Eintrag in ''​.htaccess''​ ===
 ^Eintrag in .htacccess ^ Bedeutung^ ​ ^Eintrag in .htacccess ^ Bedeutung^ ​
 |kein Eintrag| PHP als Apache-Modul| |kein Eintrag| PHP als Apache-Modul|
Zeile 94: Zeile 101:
  
  
-==== Über die Dateiendung ​====+=== Über die Dateiendung ===
 /* Quelle: ​ Link auf der KAS-Startseite (wenn eingeloggt) */ /* Quelle: ​ Link auf der KAS-Startseite (wenn eingeloggt) */
 ^Dateieindung ^Bedeutung^ ^Dateieindung ^Bedeutung^
Zeile 132: Zeile 139:
 </​code>​ </​code>​
 Wird das Verzeichnis ''/​.local/​bin''​ an ''​$PATH$''​ angehängt, wird durch ''​pip''​ das vorinstallierte und durch ''​pip3''​ das eben manuell installierte gestartet. ​   Wird das Verzeichnis ''/​.local/​bin''​ an ''​$PATH$''​ angehängt, wird durch ''​pip''​ das vorinstallierte und durch ''​pip3''​ das eben manuell installierte gestartet. ​  
 +
 ===== SSH ===== ===== SSH =====
 Ab dem Tarif "​Premium"​ ist ein SSH-Zugang möglich. Ab dem Tarif "​Premium"​ ist ein SSH-Zugang möglich.
Zeile 147: Zeile 155:
 ==== PHP ==== ==== PHP ====
 Innerhalb der SSH-Umgebung sind verschiedene Versionen von PHP installiert. Innerhalb der SSH-Umgebung sind verschiedene Versionen von PHP installiert.
-Die über ''​php''​ aufrufbare Version muss dabei nicht der Version entsprechen,​ die auf dem Server als [[#​PHP|Apache-Modul]] verwendet wird.+Die über ''​php''​ aufrufbare Version muss dabei nicht der Version entsprechen,​ die auf dem Server als [[#​PHP|Apache-Modul]] verwendet wird.  
 +In meinem Fall ist die Version auf dem Kommandozeile stadardmäßig 7.0, während die des Apache Moduls 7.1 ist.  
 +Die aufgerufene Version kann durch die Änderung des Symlinks ''/​usr/​bin/​php''​ [[https://​all-inkl.com/​wichtig/​anleitungen/​kas/​ssh/​dateiverwaltung/​aenderung-der-php-cli-version_527.html|eingestellt]] werden. 
 Die Funktion ''​mail()''​ ist deaktiviert. Die Funktion ''​mail()''​ ist deaktiviert.
  
Zeile 167: Zeile 178:
 Damit ist u.a. sichergestellt,​ dass die Umleitung vor einer Authentifizierung wirkt und daher das Passwort immer verschlüsselt übertragen wird. Damit ist u.a. sichergestellt,​ dass die Umleitung vor einer Authentifizierung wirkt und daher das Passwort immer verschlüsselt übertragen wird.
 </​WRAP>​ </​WRAP>​
 +
 +Ein CAA Record kann seid min. Juli 2020 [[https://​all-inkl.com/​wichtig/​anleitungen/​kas/​tools/​dns-werkzeuge/​caa-record_501.html|eingerichtet]] werden.
  
 ==== Kostenpflichtige Einrichtung durch All-Inkl==== ==== Kostenpflichtige Einrichtung durch All-Inkl====
Zeile 213: Zeile 226:
 |03.04.19 |PHP 5.5 wurde abgeschaltet.| |03.04.19 |PHP 5.5 wurde abgeschaltet.|
 |29.03.20| PHP 7.4 wird angeboten.| |29.03.20| PHP 7.4 wird angeboten.|
 +|03.07.20| CAA Record kann eingerichtet werden.|
  
  
kas.1587931961.txt.gz · Zuletzt geändert: 2020/04/26 22:12 von olli